<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
	Advanced Scoreboard
	by EmperorFool

	Copyright (c) 2008 The BUG Mod.
-->
<mod id="Scores" 
	 name="Advanced Scoreboard" 
	 author="EmperorFool" 
	 version="1.0" 
	 date="09/02/2007" 
	 url="http://forums.civfanatics.com/forumdisplay.php?f=268">
	 
	<options id="Scores" file="Advanced Scoreboard.ini">
		<section id="Scoreboard">
			<!-- Dead Civ Scoreboard -->
			<option id="ShowDead" key="Show Dead Civilizations" 
					type="boolean" default="False" 
					get="isShowDeadCivs" set="setShowDeadCivs" dirtyBit="Score"/>
			<option id="TagDead" key="Show Dead Tag" 
					type="boolean" default="True" 
					get="isShowDeadTag" set="setShowDeadTag" dirtyBit="Score"/>
			<option id="GreyDead" key="Grey Out Dead Civilizations" 
					type="boolean" default="True" 
					get="isGreyOutDeadCivs" set="setGreyOutDeadCivs" dirtyBit="Score"/>
			
			<!-- Minor Civs -->
			<option id="ShowMinor" key="Show Minor Civilizations" 
					type="boolean" default="True" 
					get="isShowMinorCivs" set="setShowMinorCivs" dirtyBit="Score"/>
			
			<!-- New Columns -->
			<option id="Delta" key="Delta" 
					type="boolean" default="True" 
					get="isShowScoreDelta" set="setShowScoreDelta" dirtyBit="Score"/>
			<option id="DeltaIncludeCurrent" key="Delta Includes Current Turn" 
					type="boolean" default="True" 
					get="isScoreDeltaIncludeCurrentTurn" set="setScoreDeltaIncludeCurrentTurn" dirtyBit="Score"/>
			
			<list   id="DisplayName" key="Display Name" 
					type="int" default="2" listType="string" 
					get="getDisplayName" set="setDisplayName" dirtyBit="Score">
				<choice id="Leader" get="isShowLeaderName" set="setShowLeaderName"/>
				<choice id="Civilization" get="isShowCivName" set="setShowCivName"/>
				<choice id="CivDescription" get="isShowCivNameShort" set="setShowShortCivNameShort"/>
				<choice id="LeaderAndCivilization" get="isShowBothNames" set="setShowBothNames"/>
				<choice id="LeaderAndCivDescription" get="isShowBothNamesShort" set="setShowBothNamesShort"/>
			</list>
			<option id="UsePlayerName" key="Use Player Name" 
					type="boolean" default="True" 
					get="isUsePlayerName" set="setUsePlayerName" dirtyBit="Score"/>
			
			<option id="Attitude" key="Attitude Icons" 
					type="boolean" default="True" 
					get="isShowAttitude" set="setShowAttitude" dirtyBit="Score"/>
			<option id="WorstEnemy" key="Worst Enemy Icons" 
					type="boolean" default="True" 
					get="isShowWorstEnemy" set="setShowWorstEnemy" dirtyBit="Score"/>
			<option id="WHEOOH" key="WHEOOH" 
					type="boolean" default="True" 
					get="isShowWHEOOH" set="setShowWHEOOH" dirtyBit="Score"/>
			<option id="Cities" key="Number of Cities" 
					type="boolean" default="False"
					get="isShowCountCities" set="setShowCountCities" dirtyBit="Score"/>
			
			<!-- Advanced Layout -->
			<option id="AlignIcons" key="Align Icons" 
					type="boolean" default="True" 
					get="isAlignIcons" set="setAlignIcons" dirtyBit="Score"/>
			<option id="DisplayOrder" key="Display Order" 
					type="string" default="FWSZVC?EPTUNBDRAHMQ*LO" 
					get="getDisplayOrder" set="setDisplayOrder" dirtyBit="Score"/>
			<list   id="DefaultSpacing" key="Default Column Spacing" 
					type="int" default="0" values="0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10" 
					get="getDefaultSpacing" set="setDefaultSpacing" dirtyBit="Score"/>
			<list   id="LineHeight" key="Line Height" 
					type="int" default="22" values="10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30" 
					get="getLineHeight" set="setLineHeight" dirtyBit="Score"/>
			<list   id="MaxPlayers" key="Max Players" 
					type="int" default="23" values="0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50" 
					get="getMaxPlayers" set="setMaxPlayers" dirtyBit="Score"/>
			<option id="GroupVassals" key="Group Vassals Under Master" 
					type="boolean" default="True" 
					get="isGroupVassals" set="setGroupVassals" dirtyBit="Score"/>
			<option id="LeftAlignName" key="Left-Align Name" 
					type="boolean" default="True" 
					get="isLeftAlignName" set="setLeftAlignName" dirtyBit="Score"/>
			<option id="ResearchIcons" key="Research Icons" 
					type="boolean" default="False" 
					get="isShowResearchIcons" set="setShowResearchIcons" dirtyBit="Score"/>
			<list   id="ResearchIconSize" key="Research Icon Size" 
					type="int" default="24" values="10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32" 
					get="getResearchIconSize" set="setgetResearchIconSize" dirtyBit="Score"/>
			<option id="RankColor" key="Rank Color" 
					type="color" default="COLOR_YELLOW" 
					get="getRankColor" set="setRankColor" dirtyBit="Score"/>
			
			<!-- Power Ratio -->
			<option id="Power" key="Power" 
					type="boolean" default="False"
					get="isShowPower" set="setShowPower" dirtyBit="Score"/>
			<list   id="PowerFormula" key="Power Formula" 
					type="int" default="1" listType="string" 
					get="getPowerFormula" set="setPowerFormula" dirtyBit="Score">
				<choice id="ThemVersusYou" get="isPowerThemVersusYou"/>
				<choice id="YouVersusThem" get="isPowerYouVersusThem"/>
			</list>
			<list   id="PowerDecimals" key="Power Ratio Decimals" 
					type="int" default="1" values="1, 2, 3, 4" 
					get="getPowerDecimals" set="setPowerDecimals" dirtyBit="Score"/>
			<option id="PowerColor" key="Power Color" 
					type="color" default="COLOR_WHITE" 
					get="getPowerColor" set="setPowerColor" dirtyBit="Score"/>
			<list   id="PowerHighRatio" key="Power High" 
					type="float" default="1.2" listType="float" 
					values="1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8, 1.9, 2.0" format="%.1f" 
					get="getHighPowerRatio" set="setHighPowerRatio" dirtyBit="Score"/>
			<option id="PowerHighColor" key="Power High Color" 
					type="color" default="COLOR_GREEN" 
					get="getHighPowerColor" set="setHighPowerColor" dirtyBit="Score"/>
			<list   id="PowerLowRatio" key="Power Low" 
					type="float" default="0.8" listType="float" 
					values="0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0" format="%.1f" 
					get="getLowPowerRatio" set="setLowPowerRatio" dirtyBit="Score"/>
			<option id="PowerLowColor" key="Power Low Color" 
					type="color" default="COLOR_RED" 
					get="getLowPowerColor" set="setLowPowerColor" dirtyBit="Score"/>
			<!-- Dynamic Civ Names -->
			<option id="DYNAMIC_CIV_NAMES" key="DYNAMIC_CIV_NAMES"
				type="boolean" default="False"
				get="isDYNAMIC_CIV_NAMES" set="setDYNAMIC_CIV_NAMES">
       				 <change module="RevDCM" function="changedDYNAMIC_CIV_NAMES"/>
     			</option> 
		</section>
	</options>
	
	<init module="Scoreboard" function="init"/>
	<event type="DealCanceled" module="Scoreboard" function="onDealCanceled"/>
</mod>
